Package org.eclipse.m2m.atl.emftvm.impl

## Class RuleImpl.WithMatcherCbState

- java.lang.Object
- - org.eclipse.m2m.atl.emftvm.impl.RuleImpl.MatcherCbState
  - - org.eclipse.m2m.atl.emftvm.impl.RuleImpl.WithMatcherCbState

Enclosing class:
  RuleImpl

    protected class RuleImpl.WithMatcherCbState
    extends RuleImpl.MatcherCbState

`RuleImpl.MatcherCbState` class for rules that have a `Rule.getMatcher()` code block.

### Constructor Summary

Constructors
`protected` `WithMatcherCbState()`

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `matchFor​(StackFrame frame, java.lang.Object[] values)` Matches this rule against `values`, and records a match in `ExecEnv.getMatches()` in case of a match.
`boolean` `matchFor​(StackFrame frame, java.util.Map<java.lang.String,​java.lang.Object> valuesMap, java.lang.Object[] values)` Matches this rule against `values`, and records a match in `ExecEnv.getMatches()` in case of a match.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### WithMatcherCbState

    protected WithMatcherCbState()

### Method Detail

#### matchFor

    public boolean matchFor​(StackFrame frame,
                            java.lang.Object[] values)

Matches this rule against `values`, and records a match in `ExecEnv.getMatches()` in case of a match.

Overrides:
  `matchFor` in class `RuleImpl.MatcherCbState`
Parameters:
  `frame` - the stack frame in which to run the matcher
  `values` - the source values to match
Returns:
  `true` iff the rule matches

#### matchFor

    public boolean matchFor​(StackFrame frame,
                            java.util.Map<java.lang.String,​java.lang.Object> valuesMap,
                            java.lang.Object[] values)

Matches this rule against `values`, and records a match in `ExecEnv.getMatches()` in case of a match.

Overrides:
  `matchFor` in class `RuleImpl.MatcherCbState`
Parameters:
  `frame` - the stack frame context
  `valuesMap` - the map of all values, including super-rule elements
  `values` - the source values to match against
Returns:
  `true` iff this rule matches against `values`